Bug 806667 - [abrt] shotwell-0.10.1-3.fc16: Process /usr/bin/shotwell was killed by signal 11 (SIGSEGV)
[abrt] shotwell-0.10.1-3.fc16: Process /usr/bin/shotwell was killed by signal...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: shotwell (Show other bugs)
16
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Matthias Clasen
Fedora Extras Quality Assurance
abrt_hash:8d0fd29459f4e4d1ef67acef587...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-25 17:35 EDT by Andrey
Modified: 2013-02-13 13:33 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-13 13:33:15 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: dso_list (10.11 KB, text/plain)
2012-03-25 17:35 EDT, Andrey
no flags Details
File: maps (31.39 KB, text/plain)
2012-03-25 17:35 EDT, Andrey
no flags Details
File: backtrace (38.04 KB, text/plain)
2012-03-25 17:35 EDT, Andrey
no flags Details

  None (edit)
Description Andrey 2012-03-25 17:35:30 EDT
libreport version: 2.0.8
abrt_version:   2.0.7
backtrace_rating: 4
cmdline:        shotwell
comment:        I have just imported about 900 pictures from NTFS partition of my laptop and selected 2 from the list to change the tag.
crash_function: sidebar_tree_popup_context_menu
executable:     /usr/bin/shotwell
kernel:         3.2.10-3.fc16.i686
pid:            1861
reason:         Process /usr/bin/shotwell was killed by signal 11 (SIGSEGV)
time:           Mon 26 Mar 2012 01:02:03 AM MSK
uid:            1001

backtrace:      Text file, 38952 bytes
dso_list:       Text file, 10349 bytes
maps:           Text file, 32147 bytes

environ:
:XDG_VTNR=1
:XDG_SESSION_ID=2
:HOSTNAME=5520g
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:SHELL=/bin/bash
:TERM=dumb
:HISTSIZE=1000
:XDG_SESSION_COOKIE=9cbc6495e1a66a6e6c5d74d600000013-1332707930.515486-842456917
:QTDIR=/usr/lib/qt-3.3
:GNOME_KEYRING_CONTROL=/tmp/keyring-kp27br
:QTINC=/usr/lib/qt-3.3/include
:IMSETTINGS_MODULE=none
:USER=makolova
:USERNAME=makolova
:MAIL=/var/spool/mail/makolova
:PATH=/usr/lib/qt-3.3/bin:/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/sbin:/home/makolova/.local/bin:/home/makolova/bin
:DESKTOP_SESSION=gnome
:QT_IM_MODULE=xim
:PWD=/home/makolova
:XMODIFIERS=@im=none
:KDE_IS_PRELINKED=1
:GNOME_KEYRING_PID=1480
:LANG=en_US.utf8
:GDM_LANG=en_US.utf8
:KDEDIRS=/usr
:GDMSESSION=gnome
:HISTCONTROL=ignoredups
:HOME=/home/makolova
:XDG_SEAT=seat0
:SHLVL=1
:LOGNAME=makolova
:QTLIB=/usr/lib/qt-3.3/lib
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-yfnDYaHkAt,guid=142bddef1e7536fb3292ccd700000165
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=1
:XDG_RUNTIME_DIR=/run/user/makolova
:DISPLAY=:0
:XAUTHORITY=/var/run/gdm/auth-for-makolova-EMjIgs/database
:_=/usr/bin/gnome-session
:GNOME_DESKTOP_SESSION_ID=this-is-deprecated
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/1489,unix/unix:/tmp/.ICE-unix/1489
:SSH_AUTH_SOCK=/tmp/keyring-kp27br/ssh
:GPG_AGENT_INFO=/tmp/keyring-kp27br/gpg:0:1
:GJS_DEBUG_OUTPUT=stderr
:'GJS_DEBUG_TOPICS=JS ERROR;JS LOG'
:GIO_LAUNCHED_DESKTOP_FILE=/usr/share/applications/shotwell.desktop
:GIO_LAUNCHED_DESKTOP_FILE_PID=1861

smolt_data:
:
:
:General
:=================================
:UUID: eb251a21-190e-45f2-aed4-358210ee9ee1
:OS: Fedora release 16 (Verne)
:Default run level: Unknown
:Language: en_US.utf8
:Platform: i686
:BogoMIPS: 3800.85
:CPU Vendor: AuthenticAMD
:CPU Model: AMD Turion(tm) 64 X2 Mobile Technology TL-58
:CPU Stepping: 1
:CPU Family: 15
:CPU Model Num: 104
:Number of CPUs: 2
:CPU Speed: 1900
:System Memory: 2013
:System Swap: 4031
:Vendor: Acer
:System: Aspire 5520 V1.06
:Form factor: Notebook
:Kernel: 3.2.10-3.fc16.i686
:SELinux Enabled: 1
:SELinux Policy: targeted
:SELinux Enforce: Enforcing
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Devices
:=================================
:(4318:1376:4133:294) pci, pata_amd, STORAGE, MCP67 IDE Controller
:(4318:1372:4133:294) pci, snd_hda_intel, MULTIMEDIA, MCP67 High Definition Audio
:(4318:1356:4133:294) pci, forcedeth, ETHERNET, MCP67 Ethernet
:(4318:1351:4133:294) pci, None, RAM, MCP67 Memory Controller
:(4318:1347:4133:294) pci, None, PROCESSOR, MCP67 Co-processor
:(4318:1345:4318:52100) pci, None, RAM, MCP67 Memory Controller
:(4318:1346:4133:294) pci, nForce2_smbus, SERIAL, MCP67 SMBus
:(4318:1352:4133:294) pci, None, PCI/ISA, MCP67 ISA Bridge
:(4130:4353:0:0) pci, None, HOST/PCI, K8 [Athlon64/Opteron] Address Map
:(4130:4352:0:0) pci, None, HOST/PCI, K8 [Athlon64/Opteron] HyperTransport Technology Configuration
:(4130:4355:0:0) pci, k8temp, HOST/PCI, K8 [Athlon64/Opteron] Miscellaneous Control
:(4130:4354:0:0) pci, None, HOST/PCI, K8 [Athlon64/Opteron] DRAM Controller
:(4318:1064:4133:294) pci, nouveau, VIDEO, G86 [GeForce 8400M G]
:(4318:1374:4133:294) pci, ohci_hcd, USB, MCP67 OHCI USB 1.1 Controller
:(4318:1375:4133:294) pci, ehci_hcd, USB, MCP67 EHCI USB 2.0 Controller
:(4480:2082:4133:294) pci, sdhci-pci, BASE, R5C822 SD/SDIO/MMC/MS/MSPro Host Adapter
:(4480:2098:4133:294) pci, firewire_ohci, FIREWIRE, R5C832 IEEE 1394 Controller
:(4480:2130:4133:294) pci, r852, BASE, xD-Picture Card Controller
:(4480:1426:4133:294) pci, r592, BASE, R5C592 Memory Stick Bus Host Adapter
:(4318:1377:4318:52100) pci, None, PCI/PCI, MCP67 PCI Bridge
:(4318:1379:4318:0) pci, pcieport, PCI/PCI, MCP67 PCI Express Bridge
:(4318:1360:4133:294) pci, ahci, STORAGE, MCP67 AHCI Controller
:(5772:28:5224:1064) pci, ath5k, ETHERNET, AR5BXB63 802.11bg NIC
:(4318:1374:4133:294) pci, ohci_hcd, USB, MCP67 OHCI USB 1.1 Controller
:(4318:1375:4133:294) pci, ehci_hcd, USB, MCP67 EHCI USB 2.0 Controller
:(4318:1378:4318:0) pci, pcieport, PCI/PCI, MCP67 PCI Express Bridge
:(4318:1379:4318:0) pci, pcieport, PCI/PCI, MCP67 PCI Express Bridge
:
:
:Filesystem Information
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/mapper/vg_5520g-lv_root / ext4 4096 4096 6806856 3953418 3885282 1703936 1440252 1440252
:/dev/sda3 /boot ext4 1024 1024 508745 413669 388069 128016 127782 127782
:/dev/sda2 WITHHELD fuseblk 4096 4096 28530687 5608915 5608915 22763340 22530539 22530539
:

var_log_messages:
:Mar 18 03:07:34 5520g yum[2023]: Updated: shotwell-0.10.1-3.fc16.i686
:Mar 26 01:02:03 5520g kernel: [ 1750.325598] shotwell[1861]: segfault at 0 ip 08173759 sp bf89fc20 error 4 in shotwell[803d000+406000]
:Mar 26 01:02:05 5520g abrt[4360]: Saved core dump of pid 1861 (/usr/bin/shotwell) to /var/spool/abrt/ccpp-2012-03-26-01:02:03-1861 (82042880 bytes)
Comment 1 Andrey 2012-03-25 17:35:35 EDT
Created attachment 572582 [details]
File: dso_list
Comment 2 Andrey 2012-03-25 17:35:37 EDT
Created attachment 572583 [details]
File: maps
Comment 3 Andrey 2012-03-25 17:35:39 EDT
Created attachment 572584 [details]
File: backtrace
Comment 4 Fedora End Of Life 2013-01-16 10:31:51 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Fedora End Of Life 2013-02-13 13:33:18 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.